box.hpp File Reference

## Classes

class | ranges::v3::box< Element, Tag, box_compress >
class | ranges::v3::box< Element, Tag, detail::box_compress::coalesce >
class | ranges::v3::box< Element, Tag, detail::box_compress::ebo >
struct | ranges::v3::constant< T, v >
struct | ranges::v3::mutable_< T >

## Functions

template<typename Tag , typename Element , detail::box_compress BC>
Element & | ranges::v3::get (box< Element, Tag, BC > &b) noexcept
template<typename Tag , typename Element , detail::box_compress BC>
constexpr Element const & | ranges::v3::get (box< Element, Tag, BC > const &b) noexcept
template<typename Tag , typename Element , detail::box_compress BC>
Element && | ranges::v3::get (box< Element, Tag, BC > &&b) noexcept
template<std::size_t I, typename Element , detail::box_compress BC>
Element & | ranges::v3::get (box< Element, meta::size_t< I >, BC > &b) noexcept
template<std::size_t I, typename Element , detail::box_compress BC>
constexpr Element const & | ranges::v3::get (box< Element, meta::size_t< I >, BC > const &b) noexcept
template<std::size_t I, typename Element , detail::box_compress BC>
Element && | ranges::v3::get (box< Element, meta::size_t< I >, BC > &&b) noexcept